local DrillLogic = require("drill.DrillLogic")
local DrillLogicAttribute = require("drill.DrillLogicAttribute")

function CG_DRILL_QUERY(human)
	DrillLogic.queryDrillId(human)
end

-- 选着难度
function CG_DRILL_DIFF_CHOSE(human, msg)
	DrillLogic.choseDiff(human, msg.diff)
end

function CG_DRILL_BOX_GET(human, msg)
	DrillLogic.drillBoxGet(human, msg.index)
end

-- 下一关卡
function CG_DRILL_INFO(human, msg)
	DrillLogic.query(human, msg.drillId)
end

-- 查询英雄状态
function CG_DRILL_HERO(human)
	DrillLogic.sendHeroList(human)
end

-- 操作血量
function CG_DRILL_OPER_HP(human, msg)
	DrillLogicAttribute.operHp(human, msg.operType, msg.heroIndex)
end

--
function CG_DRILL_REWARD_PREVIEW(human)
   DrillLogic.rewardPreview(human)
end

function CG_DRILL_FRIEND_HELP_QUERY(human)
	DrillLogic.helpHeroFriendQuery(human)
end

function CG_DRILL_FRIEND_CHOSE(human, msg)
	if msg.type == 1 then
		DrillLogic.dispatchMyHelpHero(human, msg.index)
	else
		DrillLogic.choseHelpFriendHero(human, msg.uuid)
	end	
end

function CG_DRILL_FUHUO_QUERY(human, msg)
	DrillLogic.fuhuoQuery(human)
end

function CG_DRILL_SET_HELP_COMBATPOS(human, msg)
	DrillLogic.setHelpCombatPos(human, msg.uuid, msg.pos)
end


function CG_DRILL_FIGHT_BY_DIAMON(human, msg)
	DrillLogic.ChallengeLevelByDiamond(human, msg.levelID)
end

function CG_DRILL_ONE_CLICK_SAODANG(human)
	-- local Log = require("common.Log")
	-- Log.write(Log.LOGID_DEBUG, "[Handler] CG_DRILL_ONE_CLICK_SAODANG 被调用")
	DrillLogic.oneClickSaodang(human)
end